aboutsummaryrefslogtreecommitdiffstats
path: root/testing/slony1/slony1.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-08-15 08:57:32 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-08-15 09:04:31 +0000
commit11233ac93b5354d5274c88f500d702426282ae16 (patch)
treeda259bc3a54e47724b3070a6115b86e1d9be7bd8 /testing/slony1/slony1.initd
parent2fe619084f6fa2593014b585f4009528afeb463c (diff)
testing/slony1: new aport
A master to multiple slaves replication system for PostgreSQL http://slony.info/
Diffstat (limited to 'testing/slony1/slony1.initd')
-rwxr-xr-xtesting/slony1/slony1.initd37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/slony1/slony1.initd b/testing/slony1/slony1.initd
new file mode 100755
index 00000000000..4f1469dc642
--- /dev/null
+++ b/testing/slony1/slony1.initd
@@ -0,0 +1,37 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/slony1/files/slony1.init,v 1.2 2007/03/07 23:18:21 nakano Exp $
+
+depend() {
+ need postgresql
+}
+
+start() {
+ ebegin "Starting slony1"
+ /usr/bin/slon -p /var/run/slony1.pid -d $LOGLEVEL $CLUSTER "dbname=$DBNAME user=$DBUSER host=$DBHOST" >> $LOGFILE 2>&1 &
+
+ while :
+ do
+ cnt=$(($cnt + 1))
+ if [ -f "/var/run/slony1.pid" ]; then
+ ret=0
+ break
+ fi
+
+ if [ $cnt -eq 30 ]; then
+ eerror "Please see log file: $LOGFILE"
+ ret=1
+ break
+ fi
+ sleep 1
+ done
+ eend $ret
+}
+
+stop() {
+ ebegin "Stopping slony1"
+ kill `cat /var/run/slony1.pid`
+ eend $?
+}
+